PETSc version 3.15.5
Fix/Edit manual page

# DMPlexReferenceToCoordinates

Map references coordinates to coordinates in the the mesh for a single element map.

### Synopsis

    #include "petscdmplex.h"
    #include "petscfe.h"
    PetscErrorCode DMPlexReferenceToCoordinates(DM dm, PetscInt cell, PetscInt numPoints, const PetscReal refCoords[], PetscReal realCoords[])

Not collective

### Input Parameters

| dm | - The mesh, with coordinate maps defined either by a PetscDS for the coordinate DM (see DMGetCoordinateDM()) or implicitly by the coordinates of the corner vertices of the cell: as an affine map for simplicial elements, or as a multilinear map for tensor-product elements
| cell | - the cell whose map is used.
| numPoints | - the number of points to locate
| refCoords | - (numPoints x dimension) array of reference coordinates (see DMGetDimension())

### Output Parameters

| realCoords | - (numPoints x coordinate dimension) array of coordinates (see DMGetCoordinateDim())

### See Also

DMPlexCoordinatesToReference()

### Level

intermediate

### Location

src/dm/impls/plex/plexgeometry.c

### Implementations

DMPlexReferenceToCoordinates_Tensor in src/dm/impls/plex/plexgeometry.c
DMPlexReferenceToCoordinates_FE in src/dm/impls/plex/plexgeometry.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages